Got this SLES10 box. No updates (look of shame and bare pockets . . . )

Installed the supplied spamassasin. Works well enough. However, it is dated and
thus cannot get signature updates, etc.

Trying to compile the current sa version, complains about missing pieces. Like
module Net::Addr::IP (?) which seems to be perl-Net-Addr-IP (package name).

Can't find that in SUSE land. Not looking properly ? How can one update to latest
spamasssassin?

joe a.